# needsrootforbuild

# Keep this as a bcond for the future, but always
# enable it by default as baseiso-containment only
# works for agama-installer ISOs currently
%bcond pxeboot 1

# Patterns file name can be specified by defining %{tftpbootpatterns_name},
# or it defaults to "agama-installer".
%define tftpbootpatterns_path /usr/lib/build/%{?tftpbootpatterns_name}%{!?tftpbootpatterns_name:agama-installer}.tftpbootpatterns.txt

Url:            http://www.suse.com/
Name:           baseiso-agama-installer-Leap_16.0_PXE
Summary:        Product Composer Base Images
Version:        16.0.0
Release:        15.28.install
Group:          System/Management
License:        SUSE-EULA
Provides:       baseiso(agama-installer-Leap_16.0_PXE)

%define install_dir  %{_libexecdir}/base-isos
%define tftpboot_dir /usr/share/tftpboot-installation
%define product_dir  %{tftpboot_dir}/agama-installer-Leap_16.0_PXE
%define pxeboot_dir  %{product_dir}/%{_arch}/loader

%description
Images to be used by product composer as a base. It is designed
for Agama Installer in first place.

%package -n tftpboot-agama-installer-Leap_16.0_PXE-%{_arch}
Summary:        Product Composer Base Images (extracted PXE images)
Group:          System/Management
BuildArch:      noarch

%description -n tftpboot-agama-installer-Leap_16.0_PXE-%{_arch}
Loaders that can be used for PXE boot, extracted from the installer
content.

%install
mkdir -p %buildroot%{install_dir}
cp -a /usr/src/packages/KIWI/* %buildroot%install_dir

%if %{with pxeboot}
mkdir -p %{buildroot}%{pxeboot_dir}
for file in $(isoinfo -R -i %{buildroot}%{install_dir}/*.iso -find -type f -print | grep -Ef %{tftpbootpatterns_path}); do
  isoinfo -R -i %{buildroot}%{install_dir}/*.iso -x ${file} > %{buildroot}%{pxeboot_dir}/$(basename ${file})
done
%endif

if [ -n "-Leap_16.0_PXE" ]; then
  # Rename the files so that they match what product-composer
  # expect
  for path in %{buildroot}%{install_dir}/agama-installer*; do
    filename="$(basename $path)"
    target_filename="${filename//agama-installer//agama-installer-Leap_16.0_PXE}"
    mv -v ${path} %{buildroot}%{install_dir}/${target_filename}
    
    if [[ ${filename} == *.sha256 ]]; then
      sed -i "s|agama-installer|agama-installer-Leap_16.0_PXE|g" %{buildroot}%{install_dir}/${target_filename}
    fi
  done
fi

%files
%install_dir

%if %{with pxeboot}
%files -n tftpboot-agama-installer-Leap_16.0_PXE-%{_arch}
%defattr(-,root,root)
%dir %attr(0755,tftp,tftp) %tftpboot_dir
%tftpboot_dir
%endif

%changelog
